{% extends 'layouts/artdrop.html.twig' %}

{% block title %}artwork - {{ entity.getArtworkTitle() }}{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}

{% block newjavascripts %}
    <!-- Inclut un script JavaScript pour la gestion des likes -->
    <script type="module" src="{{ asset('assets/js/artwork-like.js') }}"></script>
{% endblock %}

{% block body %}
    <!-- Contenu principal de la page -->
    <div class="artwork-container">
        <div class="lightbox">
            <div class="lightbox-content">
                <div class="img-and-text">
                    <!-- Affiche l'image de l'œuvre d'art -->
                    <img src="{{ asset('assets/uploads/' ~ entity.photo.path) }}" alt="{{ entity.artworktitle }}"
                         class="img-fluid">
                    <div class="box-content">

                        <!-- Affiche le nom de l'artiste lié à l'œuvre d'art -->
                        <a href="{{ path('artist_profile',{ 'id' : entity.member.id }) }}"><h4
                                    class="creator-name">{{ entity.member.nametag }}</h4></a>

                        <!-- Affiche le titre de l'œuvre d'art -->
                        <h3 class="title-next-to-image">{{ entity.ArtworkTitle() }}</h3>
                        <hr>

                        <!-- Affiche les catégories liées à l'œuvre d'art -->
                        <div class="tag-box">
                            <ul>
                                {% for category in entity.categories %}
                                    <li>

                                        <a href="{{ path('gallery') }}" class="tag">{{ category.categoryName }}</a>

                                    </li>
                                {% endfor %}
                            </ul>
                        </div>
                        <hr>

                        <!-- Affiche les boutons d'interaction (like, report) -->
                        <div class="actions">
                            <div class="action-item">
                                <!-- Bouton de like avec système de switch d'icône selon l'interaction like effectuer-->
                                <a href="{% if app.user %}{{ path('like_artwork', {id: entity.id}) }} {% else %}#{% endif %}"
                                   class="favorite-button" data-action="like">

                                    <i class="bi bi-heart-fill {{ app.user in entity.likes ? '' : 'hidden' }}"
                                       id="toggle-like"></i>
                                    <i class="bi bi-heart {{ app.user in entity.likes ? 'hidden' : '' }}"
                                       id="toggle-unlike"></i>
                                    <span class="count-like">
                                        {{ entity.likes|length }}
                                        J'aime
                                    </span>

                                </a>

                            </div>

                            {% if app.user %}
                            <!-- Bouton de signalement -->
                            <div class="action-item">
                                <a href="{{ path('report', { 'id' : entity.id }) }}" class="report-button"><i class="bi bi-flag-fill"></i></a>
                                <!-- Icône de report -->
                            </div>
                            {% endif %}
                        </div>

                        <!-- Affiche la section des commentaires -->
                        <h2 class="comment-title">Commentaires</h2>
                        <div class="comments-section">
                            <ul class="comment-list">

                                <!-- Boucle sur les commentaires -->
                                {% for comment in comments %}
                                    <li class="comment">
                                        <div class="comment-content">
                                            <p><span class="nametag">{{ comment.member.nametag }}</span>
                                                : {{ comment.commentary }}</p>
                                        </div>
                                    </li>
                                {% endfor %}

                            </ul>

                        </div>
                        <!-- Champ d'entrée pour ajouter un commentaire -->
                        <div class="comment-input">
                            <div id="comment-artwork-id" data-id="{{ entity.id }}"></div>
                            <!-- affichage du formulaire -->
                            {{ form(commentForm) }}
                            <div class="error_message">{{ error }}</div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}